Package org.eclipse.mat.parser.index

## Class IndexWriter.IntArray1NWriter

- java.lang.Object
- - org.eclipse.mat.parser.index.IndexWriter.IntArray1NWriter

Direct Known Subclasses:
  `IndexWriter.IntArray1NSortedWriter`

Enclosing class:
  IndexWriter

    public static class IndexWriter.IntArray1NWriter
    extends Object

### Constructor Summary

Constructors
`IntArray1NWriter​(int size, File indexFile)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `cancel()`
`IIndexReader.IOne2ManyIndex` `flush()`
`File` `getIndexFile()`
`void` `log​(int index, int[] values)`
`void` `log​(int index, ArrayInt references)` must not contain duplicates!
`void` `log​(IIndexReader.IOne2LongIndex identifier, int index, ArrayLong references)`
`void` `log​(IndexWriter.Identifier identifier, int index, ArrayLong references)`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### IntArray1NWriter

    public IntArray1NWriter​(int size,
                            File indexFile)
                     throws IOException

Throws:
  `IOException`

### Method Detail

#### log

    public void log​(IndexWriter.Identifier identifier,
                    int index,
                    ArrayLong references)
             throws IOException

Throws:
  `IOException`

#### log

    public void log​(IIndexReader.IOne2LongIndex identifier,
                    int index,
                    ArrayLong references)
             throws IOException

Throws:
  `IOException`
Since:
  1.2

#### log

    public void log​(int index,
                    ArrayInt references)
             throws IOException

must not contain duplicates!

Throws:
  `IOException`

#### log

    public void log​(int index,
                    int[] values)
             throws IOException

Throws:
  `IOException`

#### flush

    public IIndexReader.IOne2ManyIndex flush()
                                      throws IOException

Throws:
  `IOException`

#### cancel

    public void cancel()

#### getIndexFile

    public File getIndexFile()